std::hash< basic_string< char32_t, char_traits< char32_t >, _Alloc > > Struct Template Reference

`#include <basic_string.h>`

## Public Member Functions

size_t | operator() (const _StrT &__s) const noexcept

## Detailed Description

template<typename _Alloc>
struct std::hash< basic_string< char32_t, char_traits< char32_t >, _Alloc > >

std::hash specialization for u32string.

Definition at line 4949 of file basic_string.h.

## Member Function Documentation

## operator()()

template<typename _CharT, typename _Alloc, typename _StrT = basic_string<_CharT, char_traits<_CharT>, _Alloc>>

size_t std::__str_hash_base< _CharT, _Alloc, _StrT >::operator() | ( | const _StrT & | __s | ) | const

inline noexcept inherited

Definition at line 4909 of file basic_string.h.

The documentation for this struct was generated from the following file:

- basic_string.h